/* $Id: TestMessage.java 2574 2009-05-29 16:40:27Z elaine $

   Copyright 2006, Real-Time Innovations.
   All rights reserved.
   No duplications, whole or partial, manual or electronic, may be made
   without express written permission.  Any such copies, or
   revisions thereof, must display this notice unaltered.
   This code contains trade secrets of Real-Time Innovations, Inc.

modification history:
--------------------
04may08,hhw Added entity_id.
01apr08,rbw Created
=========================================================================== */


package com.rti.perftest;


// ===========================================================================

/**
 * Message class.
 */
public class TestMessage {
    public static final int MAX_DATA_SIZE = 63000;
    
    public byte[] data;
    public int    size;
    public byte[] key = new byte[4];
    public int    entity_id;
    public int    seq_num;
    public int    timestamp_sec;
    public int    timestamp_usec;
    public int    latency_ping;
}

// ===========================================================================
// End of $Id: TestMessage.java 2574 2009-05-29 16:40:27Z elaine $
